### Method

# Gimp Image select_contiguous_color

#### Declaration [src]

    gboolean
    gimp_image_select_contiguous_color (
      GimpImage* image,
      GimpChannelOps operation,
      GimpDrawable* drawable,
      gdouble x,
      gdouble y
    )

#### Description [src]

Create a selection by selecting all pixels around specified coordinates with the same (or similar) color to that at the coordinates.

This tool creates a contiguous selection over the specified image. A contiguous color selection is determined by a seed fill under the constraints of the current context settings. Essentially, the color at the specified coordinates (in the drawable) is measured and the selection expands outwards from that point to any adjacent pixels which are not significantly different (as determined by the threshold and criterion context settings). This process continues until no more expansion is possible. If antialiasing is turned on, the final selection mask will contain intermediate values based on close misses to the threshold bar at pixels along the seed fill boundary.

This procedure is affected by the following context setters: gimp_context_set_antialias(), gimp_context_set_feather(), gimp_context_set_feather_radius(), gimp_context_set_sample_merged(), gimp_context_set_sample_criterion(), gimp_context_set_sample_threshold(), gimp_context_set_sample_transparent(), gimp_context_set_diagonal_neighbors().

In the case of a merged sampling, the supplied drawable is ignored. If the sample is merged, the specified coordinates are relative to the image origin; otherwise, they are relative to the drawable’s origin.

Available since: | 2.8

#### Parameters

`operation` | `GimpChannelOps`
| The selection operation.
`drawable` | `GimpDrawable`
| The affected drawable.
| The data is owned by the caller of the function.
`x` | `gdouble`
| X coordinate of initial seed fill point: (image coordinates).
`y` | `gdouble`
| Y coordinate of initial seed fill point: (image coordinates).

#### Return value

Returns: | `gboolean`
| TRUE on success.